/***************************************************************************
 *   Copyright (C) 2008, 2009 by Tamino Dauth                              *
 *   tamino@cdauth.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QApplication>
#include <QTextCodec>
#include <QSplashScreen>

#include "mainwindow.h"

using namespace hpp;

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
	QCoreApplication::setOrganizationName("Tamino Dauth");
	QCoreApplication::setOrganizationDomain("cdauth.de/~tamino");
	QCoreApplication::setApplicationName("hpp");

	QSplashScreen *splash = new QSplashScreen;
	splash->setPixmap(QPixmap(":/images/Microsoft 1978.jpg"));
	splash->show();

	MainWindow mainWindow;

	mainWindow.show();
	splash->finish(&mainWindow);
	delete splash;

	return app.exec();
}
