/***************************************************************************
 *   Copyright (C) 2008, 2009 by Tamino Dauth                              *
 *   tamino@cdauth.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef HPP_MAINWINDOW_H
#define HPP_MAINWINDOW_H

#include <QMainWindow>
#include <QCloseEvent>
#include <QEvent>
#include <QSize>
#include <QFileDialog>
#include <QPrintDialog>
#include <QTranslator>
#include <QPrinter>
//#include <Phonon>
#include <QActionGroup>
#include <QLocale>

#include "ui_mainwindow.h"

namespace hpp
{

class ProgressDialog;
class LicenceDialog;

class MainWindow : public QMainWindow, public Ui::MainWindow
{
	Q_OBJECT

	public:
		MainWindow();
		virtual ~MainWindow();
	
	protected:
		virtual void closeEvent(QCloseEvent *event);
		virtual void changeEvent(QEvent *event);

	private slots:
		void saveAs();
		void print();
		void music();
		void translation();
		void switchLanguage(QAction* action);
		void aboutHpp();
		void aboutQt();
		void run();
		void clear();
		void showLicence();

	private:
		void createLanguageMenuActions();
		QString getResultsLabel();

		int results;
		bool fileWasSaved;
		QFileDialog *fileDialog;
		QPrintDialog *printDialog;
		QFileDialog *translationDirectoryDialog;
		ProgressDialog *progressDialog;
		LicenceDialog *licenceDialog;

		QTranslator appTranslator;
		QTranslator qtTranslator;
		QString qmPath;
		//Phonon::MediaObject *mediaObject;
		QPrinter printer;

		QActionGroup *languageActionGroup;
		QLocale::Language language;
};

}

#endif
